{
  "name": "central-server",
  "version": "1.0.0",
  "description": "Central server for handling frontend requests",
  "keywords": [
    "express",
    "server",
    "api",
    "mysql"
  ],
  "license": "ISC",
  "author": "Alex Ibrahim",
  "type": "commonjs",
  "main": "server.js",
  "scripts": {
    "start": "node server.js",
    "dev": "nodemon server.js",
    "test": "echo \"Error: no test specified\" && exit 1"
  },
  "overrides": {
    "@aws-sdk/xml-builder": {
      "fast-xml-parser": "^5.3.4",
      "ajv": "8.18.0"
    },
    "yauzl": "^3.2.1"
  },
  "dependencies": {
    "@aws-sdk/client-s3": "^3.992.0",
    "@aws-sdk/s3-request-presigner": "^3.992.0",
    "@getbrevo/brevo": "^3.0.1",
    "argon2": "^0.44.0",
    "cookie-parser": "^1.4.7",
    "cors": "^2.8.6",
    "csv-parse": "^6.1.0",
    "dotenv": "^17.3.1",
    "express": "^5.2.1",
    "get-stream": "^9.0.1",
    "jsonwebtoken": "^9.0.3",
    "multer": "^2.0.2",
    "mysql2": "^3.17.2",
    "node-cron": "^4.2.1",
    "nodemailer": "^8.0.1",
    "pdfkit": "^0.17.2",
    "pidusage": "^4.0.1",
    "puppeteer": "^24.37.3",
    "uuid": "^13.0.0",
    "winston": "^3.19.0",
    "winston-daily-rotate-file": "^5.0.0"
  },
  "devDependencies": {
    "nodemon": "^3.1.11"
  },
  "engines": {
    "node": ">=16.0.0"
  }
}
